CRMchat APIBeta
Telegram APIMessages

messages.uploadMedia

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.uploadMedia

Upload a file and associate it to a chat (without actually sending it to the chat) May also be used in a business connection, not by wrapping the query in RawInvokeWithBusinessConnectionRequest, but rather by specifying the business connection ID in the business_connection_id parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Upload a file and associate it to a chat (without actually sending it to the chat) May also be used in a business connection, not by wrapping the query in RawInvokeWithBusinessConnectionRequest, but rather by specifying the business connection ID in the business_connection_id parameter.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.uploadMedia" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      },      "media": {        "_": "inputMediaEmpty"      }    }  }'
{  "result": {    "_": "messageMediaEmpty"  }}